using System.Collections.Generic;
using DataAccess.Domain.EntityBase;

namespace DataAccess.Domain.Entities {
	public class Category : SingleKeyEntity<int?> {
		public virtual string Name {
			get;
			set;
		}

		public virtual Category ParentCategory {
			get;
			set;
		}

		public virtual IList<Category> ChildCategory {
			get;
			set;
		}
	}
}
